Bug 1561853 - Update check / install requires authentication on FAW 28
Summary: Update check / install requires authentication on FAW 28
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
(Show other bugs)
Version: 28
Hardware: All Linux
unspecified
high
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords: Reopened
Depends On:
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-03-29 04:24 UTC by Adam Williamson
Modified: 2018-04-25 20:11 UTC (History)
16 users (show)

Fixed In Version: fedora-release-28-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-25 00:02:39 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Williamson 2018-03-29 04:24:03 UTC
Until this PR is merged:

https://pagure.io/fedora-release/pull-request/131

and a fedora-release update sent out for F28, checking for and installing updates on FAW will require authentication. As GNOME does this automatically, that means that as soon as you log into an FAW install, you get prompted for a password, which looks kinda bad.

I'm proposing this as a Final FE as we really ought to fix this for Final, so I want to make sure it's on the list in case we don't get it done between Beta release and Final freeze.

Comment 1 Patrick Uiterwijk 2018-03-29 08:13:58 UTC
+1 FE for Final.

Comment 2 Stephen Gallagher 2018-03-29 12:23:23 UTC
Sure, +1 Final FE

Comment 3 Adam Williamson 2018-03-30 02:03:14 UTC
The PR has now been merged, but we still need a package build...

Comment 4 Geoffrey Marr 2018-04-02 17:20:35 UTC
Discussed during the 2018-04-02 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as this affects the polish of the first boot on FAW installs and cannot be fixed with an update.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-04-02/f28-blocker-review.2018-04-02-16.00.txt

Comment 5 Colin Walters 2018-04-14 14:56:58 UTC
I think this update fixed it https://bodhi.fedoraproject.org/updates/FEDORA-2018-88566d5117

Doing an `rpm-ostree upgrade` got me that package anyways, and after updating, WFM:

[walters@localhost walters]$ rpm-ostree status
State: idle; auto updates disabled
Deployments:
● ostree://fedora-workstation:fedora/28/x86_64/workstation
                   Version: 28.20180412.n.0 (2018-04-12 13:47:16)
                    Commit: 0a0d1525e9a25023d542b8e767f1aea1bfd6d62451668bcc16cf030d25a4cb17
              GPGSignature: Valid signature by 128CF232A9371991C8A65695E08E7E629DB62FB1

  ostree://fedora-workstation:fedora/28/x86_64/workstation
                   Version: 28_Beta.1.3 (2018-03-28 22:36:03)
                    Commit: 2d725fea8952c34089f92a0a3ce29a877ee34741a622c54b227aac0097e7b315
              GPGSignature: Valid signature by 128CF232A9371991C8A65695E08E7E629DB62FB1
[walters@localhost walters]$ rpm-ostree upgrade
1 metadata, 0 content objects fetched; 569 B transferred in 0 seconds
No upgrade available.
[walters@localhost walters]$

Comment 6 Adam Williamson 2018-04-16 23:38:21 UTC
openQA tests are still hitting the auth request...e.g. https://openqa.fedoraproject.org/tests/223967 hit it on 2018-04-16.

Comment 7 Kalev Lember 2018-04-17 12:40:08 UTC
https://pagure.io/fedora-release/pull-request/135 that was merged yesterday fixes a syntax error in the original fix and should really make it work this time :)

Comment 8 Adam Williamson 2018-04-17 21:43:44 UTC
OK, but now we need a package build. Mohan, can you please do a build with the fix and submit an update? Thanks!

Comment 9 Fedora Update System 2018-04-24 19:27:41 UTC
fedora-release-28-1 fedora-repos-28-1 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-58afdbfb7a

Comment 10 Fedora Update System 2018-04-25 00:02:39 UTC
fedora-release-28-1, fedora-repos-28-1 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Adam Williamson 2018-04-25 20:11:48 UTC
Confirmed fixed in F28 RC-1.1 compose (and current nightly).


Note You need to log in before you can comment on or make changes to this bug.